PHPExcel_Shared

# Class: PHPExcel_Shared_PasswordHasher

Source Location: /PHPExcel/Shared/PasswordHasher.php

### Class Overview

PHPExcel_Shared_PasswordHasher

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- hashPassword

### Class Details

[line 36]
PHPExcel_Shared_PasswordHasher

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method hashPassword [line 48]

`static string hashPassword( [string $pPassword = ''])`

Create a password hash from a given string.

This method is based on the algorithm provided by Daniel Rentz of OpenOffice and the PEAR package Spreadsheet_Excel_Writer by Xavier Noguer <xnoguer@rezebra.com>.

#### Tags:

return: | Hashed password
access: | public

#### Parameters:

string | $pPassword | Password to hash

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:53 +0200 by phpDocumentor 1.4.4